Kann die App nicht Erstellen

  • Antworten:9
  • OffenNicht stickyNicht beantwortet
  • Forum-Beiträge: 5

23.08.2017, 04:59:59 via Website

Hallo liebe community, ich versuche derzeit meine erste App zu erstellen, jetzt habe ich mit einem Tutorial für firebase ein Notification system eingebunden und schon kann ich die App nicht mehr erstellen, ich erhalte immer die meldung

Error:Execution failed for task ':app:transformClassesWithJarMergingForDebug'.

com.android.build.api.transform.TransformException: java.util.zip.ZipException: duplicate entry: com/google/android/gms/common/internal/zzd.class

habe schon einiges probiert aber nichts hat geholfen :/
da ich nicht weis was ihr braucht sagt es mir bitte so muss ich nicht unnötig viel hochladen ^^
Hier aber dennoch malein Bild wo man (glaube ich) das wichtigste sehen kann
game.mylonky.eu/Unbenannt.png

Antworten
  • Forum-Beiträge: 2.901

23.08.2017, 06:11:08 via Website

Hallo Brandon,

.. willkommen im Forum

oder Irgendwas stimmt mit den (unterschiedlichen) Versionen in deinem Gradle nicht.

— geändert am 23.08.2017, 06:17:59

Liebe Grüße - Stefan
[ App - Entwicklung ]

Ludy

Antworten
  • Forum-Beiträge: 5

23.08.2017, 07:33:58 via Website

google-services.json ist vorhanden

Core-Lib entfernen bringt das gleiche ergebnis

Irgendwas stimmt mit den (unterschiedlichen) Versionen in deinem Gradle nicht.

Was denn genau? für mich sieht ja alles richtig aus ^^"

Danke an alle fürs willkommen :D

Antworten
  • Forum-Beiträge: 2.901

23.08.2017, 07:47:31 via Website

Hallo Brandon,

nimm mal bitte die 26+ heraus und ersetzte die durch 25

compileSdkVersion 25
buildToolsVersion "25.0.2"
defaultConfig {
applicationId "com.xxxxx"
minSdkVersion 19
targetSdkVersion 25
versionCode 6
versionName "1.5"
testInstrumentationRunner "android.support.test.runner.AndroidJUnitRunner"
}

..

compile 'com.android.support:appcompat-v7:25.3.1'

Dann oben rechts auf Sync drücken.
Es kann sein , dass dir die 25 nachgeladen wird ...

Liebe Grüße - Stefan
[ App - Entwicklung ]

Antworten
  • Forum-Beiträge: 5

23.08.2017, 08:38:32 via Website

leider nein

Error:Execution failed for task ':app:transformClassesWithJarMergingForDebug'.

com.android.build.api.transform.TransformException: java.util.zip.ZipException: duplicate entry: com/google/android/gms/common/internal/zzd.class
BUILD FAILED

:/

Antworten
  • Forum-Beiträge: 2.901

23.08.2017, 08:43:46 via Website

du hast aber AS 2.3.3 oder hast du dir die Canary Beta installiert ??

Worst Case , mach dir ein neues Projekt

Liebe Grüße - Stefan
[ App - Entwicklung ]

Antworten
  • Forum-Beiträge: 5

23.08.2017, 10:53:49 via Website

Ja ich nutze AS 2.3.3

hmm dann bin ich mal gespannt ob ich beim neuen projekt weiter kommen werde :/

Antworten
  • Forum-Beiträge: 5

23.08.2017, 18:02:58 via Website

So,habe nun alles neu gemacht, bin aber beim Gleichen ergebnis stehen geblieben :/

Antworten

Empfohlene Artikel